/* Default colors */
:root {
    --med-pink: #cb3786;
    --med-pink-light: #e782b7;
    --med-cyan: #87edf8;
    --med-darkblue: #30387d;
    --med-orange: #f15a29;
    --med-orange-light: #ee8a2c;
    --med-purple: #51135e;
    --med-purple-light: #9077a2;
    --med-purple-light-50: rgba(65, 19, 75, 0.5);
    --med-lightblue: #22ddf2;
    --med-purple-50: rgba(81, 19, 94, 0.5);
    --med-pink-50: rgba(203, 55, 134, 0.5);
    --med-pink-90: rgba(203, 55, 134, 0.9)
}

@font-face {
    font-family: "CC Running With Scissors";
    src:
        url("../fonts/CC Running With Scissors Medium.ttf") format("truetype");
    font-weight: 500;
    font-style: normal;
    font-display: swap;
}


* {
    font-family: "Cascadia Code", monospace;
}

a:hover{
    color: var(--med-pink);
}

a:visited{
    color: white;
}

a{
    color: white;
    text-decoration: none;
}

body {
    background-image: url('../images/bg_continue.png');
    background-repeat: repeat-y;
    background-size: 100% auto;
    background-position: top left;
    background-attachment: scroll;
    background-color: #f5f5f5;
}

.titleHeader {
    color: white;
    text-transform: uppercase;
    font-weight: bold;
    padding-bottom: 0em;
    line-height: 18px;
}
@media (max-width: 576px) {
    .titleHeaderSub {
        font-size: 0.55rem !important;

    }
}


.titlePart {
    width: fit-content;
    margin: 0 auto;
}

.titleBody {
    text-align: left;
    color: var(--med-lightblue);
    font-size: 4.0rem;
    /*margin-bottom: 100px;*/
    text-shadow:
        0 0 2px #fff,
        0 0 4px #fff,
        0 0 12px var(--med-cyan),
        0 0 24px var(--med-cyan),
        0 0 48px var(--med-cyan),
        0 0 96px var(--med-cyan);
}

.subTitleBody {
    text-align: left;
    color: whitesmoke;
    font-size: 1.8rem;
    text-transform: uppercase;
    font-style: italic;
    /*margin-top: -8px;*/
    /*color: var(--med-cyan);*/
}

.titleHeaderSub{
    position: relative;
    /*    margin-top: -5px;*/
    font-size: 0.6em;
    padding-bottom: 0em;
}

.subsubTitle{

    text-align: left;
    font-size: 1.4em;
    color: white;

    /*font-family: "Audiowide", sans-serif;*/
    font-weight: 400;
    font-style: normal;

}

.subTitleDate {
    text-align: center;
    color: #F29E29;
    font-size: 2rem;
    text-shadow:
        0 0 2px var(--med-orange-light),
        0 0 4px var(--med-orange-light),
        0 0 12px var(--med-orange),
        0 0 24px var(--med-orange);

    opacity: 0.8;
    margin-top: 2em;
}

.nav-link:hover{
    color: var(--med-orange-light) !important;
}

@media (max-width: 576px) {
    .titleBody {
        font-size: 2.5rem;
        /* kies zelf wat mooi is */
        line-height: 1.1;
    }

    .subTitleBody {
        font-size: 1.4rem;
    }
    .subTitleDate {
        font-size: 1.4rem;
    }
}


h3 {
    text-align: center;
    color: #F29E29;
    font-size: 35pt;
    text-shadow:
        0 0 2px var(--med-orange-light),
        0 0 4px var(--med-orange-light),
        0 0 12px var(--med-orange),
        0 0 24px var(--med-orange);

    opacity: 0.8;
}

.pricingTitle{
    font-family: "Cascadia Code", monospace;
}

h1 {
    font-family: "CC Running With Scissors", "Cascadia Code", ui-monospace, monospace;
}

.btn-primary {
    border-color: var(--med-pink);
    background-color: var(--med-purple);
}

.btn-primary:hover {
    background-color: var(--med-pink);
    border-color: var(--med-pink);
}

.bd-placeholder-img {
    font-size: 1.125rem;
    text-anchor: middle;
    -webkit-user-select: none;
    -moz-user-select: none;
    user-select: none;
}

ul.list3D {
    list-style: none;
    padding: 0;
}

ul.list3D li {
    font-size: 1em;
    position: relative;
    padding-left: 1.8em;
    line-height: 1.2em;
    color: whitesmoke;
    text-align: left;
}


ul.list3D li::before {
    content: "";
    position: absolute;
    left: 0;
    top: 0.1em;
    width: 1.2em;
    height: 1.2em;
    background-image: url("../images/blt.png");
    background-size: contain;
    background-repeat: no-repeat;
}

.card {
    color: white;
    background-color: var(--med-purple-50);
}

.timetable {

    --stages: 1;
    --zebra-color-one: transparent;
    --zebra-color-two: transparent;

    --time-unit-height: 0.5rem;
    --stages: 1;
    --stage-gap: 2rem;
    --stage-width: min(100vw - 3rem, 22rem);

    --event-duration: calc(var(--end-time) - var(--start-time) + 1);
    --rows: auto repeat(calc(var(--event-duration) * 12), minmax(var(--time-unit-height), auto));
    text-align: left;

    --th-width: 3.5rem;
    --columns: var(--th-width) repeat(var(--stages), minmax(var(--stage-width), 1fr));
    background-color: var(--med-purple-50);
    border-radius: 5px;
    scrollbar-width: thin;
    scrollbar-color: var(--med-pink) var(--med-purple);
    contain: layout;
}

.timetable p, .timetable h5{
    margin: 0;
}

@media (max-width: 576px) {
    .timetable {
        --stage-width: calc(100vw - 5rem); /* nu 100% fit */
    }
}


.timetable--body {
    width: 100%;
    display: grid;
    grid-template-rows: var(--rows);
    grid-template-columns: var(--columns);
    max-width: 100%;
    overflow-x: auto;
    scroll-snap-type: x mandatory;
    overflow-y: auto;
    scroll-snap-type: y mandatory;
    -webkit-overflow-scrolling: touch;
    scrollbar-gutter: stable;
    contain: layout;
}

.session {

    --timetable-offset: calc(var(--start-time) * 60);

    --start-mm: mod(var(--start), 100);
    --end-mm: mod(var(--end), 100);

    --start-hh: calc((var(--start) - var(--start-mm)) / 100);
    --end-hh: calc((var(--end) - var(--end-mm)) / 100);

    --start-total: calc(var(--start-hh) * 60 + var(--start-mm));
    --end-total: calc(var(--end-hh) * 60 + var(--end-mm));

    grid-row-start: calc((var(--start-total) - var(--timetable-offset)) / 5 + 1);
    grid-row-end: calc((var(--end-total) - var(--timetable-offset)) / 5 + 1);


    background-color: var(--med-pink);
    border-radius: 0.5em;
    border: 2px solid var(--med-pink-light);
    padding: 0.4em 1em;
    font-size: 0.8em;
    margin-block: 0.375rem;
    margin-block-end: 0;
    margin-bottom: 0;

    color: white;
    position: relative;
    z-index: 1;

    &.break {
        background: var(--med-purple);
        border-color: var(--med-purple-light);
        color: #f0f0f0;
    }

    &.blockSpacer{
        background-color: transparent;
        border: 0;
        padding: 5px;
    }
}


.session.blockTitle {
    background-color: transparent;
    border: 0;
    text-align: center;
    font-size: 1.3em;
    color: var(--med-pink-light);
    text-transform: uppercase;
    padding-bottom: 0;
    pointer-events: none;
}


.session h5 {
    font-size: 1.0em;

    span {
        display: block;
        font-size: 0.7rem;
        padding-block-end: 0.2em;
        font-weight: 400;
    }
}

.stage {
    display: grid;
    grid-column: var(--column);
    grid-row: 1 / -1;
    grid-template-rows: subgrid;
    scroll-snap-align: start;
    scroll-margin-inline-start: calc(var(--th-width) + 0.5rem);
    margin-right: 5px;
    grid-template-columns: 1fr;
}


@media (max-width: 576px) {
    .stage {
        margin-right: 0px;
    }
}


.session-list {

    list-style-type: none;
    grid-row: 2 / -1;
    grid-column: 1;
    display: grid;
    grid-template-rows: subgrid;
    margin-left: 0px;
    padding-left: 10px;
    grid-template-columns: 1fr;
}

.hours {
    color: white;
    --background: var(--zebra-color-one);
    display: grid;
    grid-row: 2 / -1;
    grid-column: 1;
    grid-template-rows: subgrid;


    >div {
        grid-row-end: span 12;
        background: var(--background);

        &:nth-child(odd) {
            --background: var(--zebra-color-two);
        }

        border-bottom: 1px solid var(--med-purple);
    }

    time {
        display: block;
        position: sticky;
        inset-inline-start: 0;
        width: var(--th-width);
        font-size: 0.9em;
        height: 100%;
        z-index: 2;
        padding-left: 5px;
    }
}

.speaker {
    margin-top: 50px;
    color: white;
}

.speakerImg {
    width: 200px;
    height: 200px;
    object-fit: cover;
    border-radius: 50%;
    /*border: 4px solid var(--med-cyan);*/
    /*box-shadow: 0 0 12px var(--med-cyan);*/
    transition: 0.5s ease;
}

.speakerName{
    margin-top: 5px;
    font-size: 1.2rem;
    color: white;
}


.speakerWrapper {
    position: relative;
    width: 200px;
    height: 200px;
    border-radius: 50%;
    overflow: hidden;
    display: inline-block;
}


.speakerOverlay {
    position: absolute;
    inset: 0;
    background-color: var(--med-pink);
    display: grid;
    grid-template-rows: auto 1fr;
    justify-items: center;
    text-align: center;
    padding: 15px;
    transition: 0.5s ease;
    opacity: 0;
}

.speakerOverlay h4 {
    margin-top: 4px;
    font-weight: bold;
    font-size: 1rem;
    text-transform: uppercase;
    padding-bottom: 8px;
    border-bottom: 2px solid var(--med-cyan);
}

.speakerOverlay p {
    font-weight: bold;
    font-size: 0.8rem;
    align-self: center;
    justify-self: center;
    margin: 0;
    padding: 10px;
}

.speakerWrapper:hover .speakerImg {
    opacity: 0.1;
}

.speakerWrapper:hover .speakerOverlay {
    opacity: 1;
}

.car {
    position: fixed;
    left: 16px;
    bottom: 0px;
    height: 50px;
    transform: translateX(0);
    will-change: transform;
    z-index: 10;
    pointer-events: none;
}

.ticketCard {
    max-width: 500px;
    margin-left: auto;
    margin-right: auto;

}

.accessItem{
    border-radius: 5px;
    background-color: var(--med-purple);

    border: 1px solid var(--med-pink);
    padding: 10px;
    text-align: left;
    margin-bottom: 10px;

}

.accessItem:first-of-type{
    margin-top: 30px;
}

.accessItem h4{
    padding-bottom: 10px;
    ;
    border-bottom: 1px solid white;
}

.sponsorWrapper {
    height: 100px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    padding: 10px;
    border-radius: 8px;
    background-color: var(--med-purple-50);
}

.sponsorImg {
    width: 200px;
    /*height: 75px;*/
    /*filter: brightness(0) invert(1);*/
    /*filter: grayscale(1) brightness(1.2) contrast(1.1);*/
}

.sponsorImgGold {
    width: 150px;
    /*filter: brightness(0) invert(1);*/
    /*filter: sepia(1) hue-rotate(20deg) saturate(5);*/
}

.sponsorIncr{
    width: 150px !important;
}


.sponsorWrapper h4 {
    display: none;
    margin-top: 20px;
    font-size: 0.8em;
}

footer {
    min-height: 100px;
    background-color: #212529;
}

footer ul {
    list-style: none;
    padding-left: 0;
}

footer ul li i {
    margin-right: 6px;
}

footer .socials i {
    color: #6c757d;

}

.linkMap{
    color: white;
    font-size: 1em;
}

.textLeft{
    text-align: left;
}